Skip to main content
POST
/
gb
/
organizations
/
{organization_id}
/
eps
Submit Eps
curl --request POST \
  --url https://preview.intermezzo.ai/gb/organizations/{organization_id}/eps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tax_year": 123
}
'
{
  "id": "<string>",
  "orgId": "<string>",
  "smId": "<string>",
  "isNoPayment": true,
  "isFinalSubmission": true,
  "isPeriodOfInactivity": true,
  "isRecoverableAmounts": true,
  "isApprenticeshipLevy": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "content": {},
  "state": "CREATED",
  "stateTimestamp": "2023-11-07T05:31:56Z",
  "stateContent": {}
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required

Body

application/json
tax_year
integer
required
no_payment
EPSNoPaymentSection · object
final_submission
EPSFinalSubmissionSection · object
period_of_inactivity
EPSPeriodOfInactivitySection · object
recoverable_amounts
EPSRecoverableAmountsSection · object
apprenticeship_levy
EPSApprenticeshipLevySection · object

Response

Successful Response

id
string
required
orgId
string
required
smId
string
required
isNoPayment
boolean
required
isFinalSubmission
boolean
required
isPeriodOfInactivity
boolean
required
isRecoverableAmounts
boolean
required
isApprenticeshipLevy
boolean
required
createdAt
string<date-time>
required
content
Content · object
required
state
enum<string> | null
Available options:
CREATED,
SUBMITTED,
ACKNOWLEDGED,
SUCCESS,
ERROR,
ARCHIVED
stateTimestamp
string<date-time> | null
stateContent
Statecontent · object